<?php
namespace Opentalent\OtCore\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 *   Organization's donor
 */
class Donor extends AbstractEntity
{
    /**
     * id
     *
     * @var int
     */
    protected $id = '';

    /**
     * organizationId
     *
     * @var int
     */
    protected $organizationId = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * email
     *
     * @var string
     */
    protected $email = '';

    /**
     * telphone
     *
     * @var string
     */
    protected $telphone = '';

    /**
     * website
     *
     * @var string
     */
    protected $website = '';

    /**
     * wording
     *
     * @var string
     */
    protected $wording = '';

    /**
     * displayedOn
     *
     * @var string
     */
    protected $displayedOn = 0;

    /**
     * logo
     *
     * @var string
     */
    protected $logo = '';

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getOrganizationId(): int
    {
        return $this->organizationId;
    }

    /**
     * @param int $organizationId
     */
    public function setOrganizationId(int $organizationId)
    {
        $this->organizationId = $organizationId;
    }

    /**
     * @return string
     */
    public function getName(): ?string
    {
        return $this->name;
    }

    /**
     * @param string|null $name
     */
    public function setName(?string $name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @param string|null $email
     */
    public function setEmail(?string $email)
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getTelphone(): ?string
    {
        return $this->telphone;
    }

    /**
     * @param string|null $telphone
     */
    public function setTelphone(?string $telphone)
    {
        $this->telphone = $telphone;
    }

    /**
     * @return string
     */
    public function getWebsite(): ?string
    {
        return $this->website;
    }

    /**
     * @param string|null $website
     */
    public function setWebsite(?string $website)
    {
        $this->website = $website;
    }

    /**
     * @return string
     */
    public function getWording(): ?string
    {
        return $this->wording;
    }

    /**
     * @param string|null $wording
     */
    public function setWording(?string $wording)
    {
        $this->wording = $wording;
    }

    /**
     * @return string
     */
    public function getDisplayedOn(): ?string
    {
        return $this->displayedOn;
    }

    /**
     * @param string|null $displayedOn
     */
    public function setDisplayedOn(?string $displayedOn)
    {
        $this->displayedOn = $displayedOn;
    }

    /**
     * @return string
     */
    public function getLogo(): ?string
    {
        return $this->logo;
    }

    /**
     * @param string|null $logo
     */
    public function setLogo(?string $logo)
    {
        $this->logo = $logo;
    }
}
